<?php
/**
 * Copyright (C) [LJCMS] All rights reserved.11
 * <E-Mail：aspcms@qq.com>
 * Url http://www.liangjing.org
 *     http://www.8CMS.com
 */

require_once("source/core/run.php");
require_once("source/core/util/function.iswap.php");
//if (true == mobile_device_detect()) {
    //XHandle::redirect(PATH_URL."wap.php"); 
//}

$c = XRequest::getGpc('c');
$a = XRequest::getGpc('a');

$c = empty($c) ? 'index' : $c;
$a = empty($a) ? 'run' : $a;
$path_info = XUrl::getUri();
if (!empty($path_info)) {
    if (isset($path_info['c'])) {
        $c = $path_info['c'];
    }
    if (isset($path_info['a'])) {
        $a = $path_info['a'];
    }
}
define("GB_LJCMS_C", $c);
define("GB_LJCMS_A", $a);
#Controller白名单
if (!in_array($c, $open_index_control)) {
    XHandle::error('Controller [' . $c . '] is forbiden!');
}

#初始化插件
X::importPlugin();
#载入Controller文件
$control_base = BASE_ROOT."source/control/indexbase.php";
$hoook_base = BASE_ROOT."source/control/apphook.php";
$control_path = BASE_ROOT."source/control/index/{$c}.php";
if (!file_exists($control_path)) {
    XHandle::error('Controller file:['.$c.'] not found!');
}
else{

    require_once ($control_base);
    require_once ($hoook_base);
    require_once ($control_path);
    $control = new control();
    $method = 'control_'.$a;
    if (method_exists($control, $method) && $a{0} != '_') {

        $control->$method();
    }
    else {
        XHandle::error('Controller Action ['.$a.'] not found!');
    }
    unset($control, $method);
}
?>